Loading...
Searching...
No Matches
SmilesParseOps.h File Reference
`#include <string_view>`
`#include <RDGeneral/export.h>`
`#include <GraphMol/Bond.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | SmilesParseOps
namespace | SmilesParseOps::detail

## Functions

RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::CheckRingClosureBranchStatus (RDKit::Atom *atom, RDKit::RWMol *mp)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::ReportParseError (const char *message, bool throwIt=true)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::CleanupAfterParseError (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::AddFragToMol (RDKit::RWMol *mol, RDKit::RWMol *frag, RDKit::Bond::BondType bondOrder=RDKit::Bond::UNSPECIFIED, RDKit::Bond::BondDir bondDir=RDKit::Bond::NONE)
RDKIT_SMILESPARSE_EXPORT RDKit::Bond::BondType | SmilesParseOps::GetUnspecifiedBondType (const RDKit::RWMol *mol, const RDKit::Atom *atom1, const RDKit::Atom *atom2)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::CheckChiralitySpecifications (RDKit::RWMol *mol, bool strict)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::CloseMolRings (RDKit::RWMol *mol, bool toleratePartials)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::SetUnspecifiedBondTypes (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::AdjustAtomChiralityFlags (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::CleanupAfterParsing (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::parseCXExtensions (RDKit::RWMol &mol, const std::string &extText, std::string::const_iterator &pos, unsigned int startAtomIdx=0, unsigned int startBondIdx=0)
void | SmilesParseOps::parseCXExtensions (RDKit::RWMol &mol, const std::string &extText, unsigned int startAtomIdx, unsigned int startBondIdx)
RDKIT_SMILESPARSE_EXPORT void | SmilesParseOps::ClearAtomChemicalProps (RDKit::Atom *atom)
| removes formal charge, isotope, etc. Primarily useful for QueryAtoms
RDKIT_SMILESPARSE_EXPORT bool | SmilesParseOps::checkChiralPermutation (int chiralTag, int permutation)
RDKIT_SMILESPARSE_EXPORT RDKit::QueryBond * | SmilesParseOps::getUnspecifiedQueryBond (const RDKit::Atom *a1, const RDKit::Atom *a2)
void | SmilesParseOps::detail::printSyntaxErrorMessage (std::string_view input, std::string_view err_message, unsigned int bad_token_position)

## Variables

constexpr auto | SmilesParseOps::detail::_needsDetectBondStereo = "_needsDetectBondStereo"
constexpr auto | SmilesParseOps::detail::_needsDetectAtomStereo = "_needsDetectAtomStereo"